<div class="container">
  <div class="row" *ngFor="let row of productsMatrix">
    <div class="col-md-4" *ngFor="let product of row">
      <div class="card" style="width: 18rem;" *ngIf="!product.isNewProductPlaceholder && !product.isEdited">
        <img class="card-img-top" src="https://via.placeholder.com/286x180.png" alt="Card image cap">
        <div class="card-body">
          <h5 class="card-title">{{product.name}}</h5>
          <div class="card-text">
            <p>Name: {{product.name}}</p>
            <p>Price: {{product.price}}</p>
          </div>
          <a (click)="edit(product)" class="btn btn-warning">Edit</a>
        </div>
      </div>
      <div class="card d-flex new-card-placeholder" style="width: 18rem;" *ngIf="product.isNewProductPlaceholder && !product.isEdited">
        <div class="card-body d-flex align-items-center justify-content-center">
          <a (click)="edit(product)" class="btn btn-success">Add new</a>
        </div>
      </div>
      <app-edit-product *ngIf="product.isEdited" [product]="product" (onCancel)="onCancelEdit(product)" (onConfirm)="onConfirmEdit(product)"></app-edit-product>
    </div>
  </div>
</div>
